Make an ECO effective
POST
/ecos/{id}/effective
const url = 'https://app.buildtrace.eu/api/ecos/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/effective';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"effectiveDate":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://app.buildtrace.eu/api/ecos/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/effective \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "effectiveDate": "2026-04-15T12:00:00Z" }'Required scope: ecos:write.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
effectiveDate
string format: date-time
Example generated
{ "effectiveDate": "2026-04-15T12:00:00Z"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
id
required
string format: uuid
revisionId
required
string format: uuid
ecoNumber
required
string
title
required
string
kind
required
string
status
required
string
appliesTo
required
string
effectiveDate
string format: date-time
partCode
Code of the ECO’s part, populated by the org-wide list (read-only).
string
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "revisionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "ecoNumber": "example", "title": "example", "kind": "example", "status": "example", "appliesTo": "example", "effectiveDate": "2026-04-15T12:00:00Z", "partCode": "example"}Unauthorized
Not found
Only an approved ECO can be made effective
Media typeapplication/json
object
error
required
string
Example generated
{ "error": "example"}